# $Revision: 1.38 $, $Date: 2007/02/12 21:23:52 $
Summary:	An X Window System color version of xhextris
Summary(de.UTF-8):	Farbige X11-Version von Hextris
Summary(fr.UTF-8):	Version X11 en couleurs d'hextris
Summary(pl.UTF-8):	Kolorowa wersja gry xhextris pod X Window
Summary(ru.UTF-8):	Цветная версия hextris для X11
Summary(tr.UTF-8):	Düşen blokları yerleştirme oyunu
Summary(uk.UTF-8):	Кольорова версія hextris для X11
Name:		cxhextris
Version:	1.0
Release:	28
License:	distributable
Group:		X11/Applications/Games
Source0:	ftp://sunsite.unc.edu/pub/Linux/games/arcade/tetris/%{name}.tar.z
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-config.patch
Patch1:		%{name}-axp.patch
Patch2:		%{name}-security.patch
BuildRequires:	xorg-cf-files
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-util-imake
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CXHextris is a color version of the popular xhextris game, which is a
Tetris-like game that uses hexagon shapes instead of square shapes.
CXHextris runs within the X Window System.

Install cxhextris if you enjoy playing Tetris or Tetris-like games and
you'd like to play one on your system. You'll need to have X installed
in order to play CXHextris.

%description -l de.UTF-8
cxhextrix ist eine Farbversion des populären hextris, beides nahe
Verwandte des klassischen T*tris Video-Games, bei dem unregelmäßig
geformte Blöcke perfekt aufeinander gestapelt werden müssen.
Voraussetzung ist, daß X-Window korrekt funktioniert.

%description -l fr.UTF-8
cxhextrix est une version en couleurs du célèbre hextris. Tous deux
sont des clones du célèbre jeu vidéo T*tris, où l'on doit essayer
d'empiler parfaitement des blocs avec des formes curieuses. Ce jeu
nécessite X Window pour fonctionner correctement.

%description -l pl.UTF-8
CXHextris jest kolorową wersją popularnej gry xhextris, będącej klonem
Tetrisa używającym sześciobocznych figur zamiast kwadratowych.
CXHextris uruchamia się w środowisku X Window.

Należy zainstalować CXHextris jeśli lubi się gry w rodzaju Tetris. Aby
móc grać w CXHextris należy mieć zainstalowane X Window.

%description -l ru.UTF-8
CXHextris - это цветная версия популярной игры xhextris, которая
является Tetris-подобной игрой, использующей шестиугольники вместо
квадратов. Эта игра требует для своей работы X Window.

%description -l tr.UTF-8
cxhextrix, hextris'in renkli sürümüdür. Her ikisi de, garip şekilli
blokların - arada boşluk bırakılmadan - bir yığın haline getirilmeye
çalışıldığı Tetris oyununa benzer.

%description -l uk.UTF-8
CXHextris - це кольорова версія популярної гри xhextris, яка подібна
до Tetris, але використовує шестикутники замість квадратів. Ця гра
потребує X Window.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
xmkmf
%{__make} \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}" \
	FONTDIR=%{_fontsdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/usr/share/fonts/misc,%{_desktopdir},%{_pixmapsdir}}

%{__make} install install.man \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir}/man1 \
	DESTDIR=$RPM_BUILD_ROOT

install hex20.pcf $RPM_BUILD_ROOT%{_fontsdir}/misc

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst misc

%postun
fontpostinst misc

%files
%defattr(644,root,root,755)
%doc README README.Linux
%attr(2755,root,games) %{_bindir}/xhextris
%{_fontsdir}/misc/hex20.pcf
%attr(664,root,games) %config(noreplace) %verify(not md5 mtime size) /var/games/xhextris-scores
%{_mandir}/man1/xhextris.1*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cxhextris.spec,v $
Revision 1.38  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.36  2006/11/07 22:23:35  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.35  2006/10/19 21:11:20  qboosh
- switched to modular xorg, release 28

Revision 1.34  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.33  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.32  2005/06/01 02:20:28  zbyniu
- removed stupid BR: XFree; better font install

Revision 1.31  2005/06/01 01:32:40  zbyniu
- BR: XFree86

Revision 1.30  2004/07/04 01:14:05  havner
- applnk -> vfolders

Revision 1.29  2004/03/08 13:25:25  gotar
- _applnkdir -> _desktopdir

Revision 1.28  2004/01/18 02:08:54  qboosh
- fixed build

Revision 1.27  2003/11/25 11:46:59  averne
- r26

Revision 1.26  2003/08/02 09:28:03  gotar
- fixed X Window System spelling

Revision 1.25  2003/07/08 07:38:39  qboosh
- use fontpostinst

Revision 1.24  2003/07/08 00:05:10  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.23  2003/05/25 05:46:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/01/18 22:45:27  juandon
- removed two lines with define

Revision 1.21  2002/11/11 03:27:50  ankry
- moved desktop to Games/Arcade/; rel. 25

Revision 1.20  2002/10/10 13:04:40  marcus
- use new %%doc

Revision 1.19  2002/04/25 16:08:52  arturs
fixed a small typo

Revision 1.18  2002/02/27 07:29:48  kloczek
- merge translations from KSI.

Revision 1.17  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/15 22:37:20  qboosh
- release 24: marked score file with config and verify tags

Revision 1.14  2002/01/18 02:12:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/03 22:11:38  qboosh
- BuildRequires: XFree86-devel

Revision 1.12  2001/11/03 09:07:25  qboosh
- FHS 2.1/2.2: changed config patch - /var/lib/games -> /var/games
- release 23

Revision 1.11  2001/05/02 02:43:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.10  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.9  2000/06/23 00:26:48  kloczek
- release 22,
- wmconfig file replaced by desktop file,
- added package icon,
- merged de, fr, tr translations from BeroLinux,
- added pl Summary,
- added using $RPM_OPT_FLAGS in compile flags,
- font file moved to /usr/share/font/misc,
- added gzipping %doc,
- suid games replaced by sgid games.

Revision 1.8  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.5  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.4  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 11:10:59  arturs
typo

Revision 1.2  2000/03/27 14:43:18  arturs
- added %description -l pl

Revision 1.1  1999/08/19 20:07:25  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 15)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Tue Jun 09 1998 Mike Wangsmo <wanger@redhat.com>
- fixed the wmconfig entry

* Sat May  2 1998 Alan Cox <alan@redhat.com>
- buffer overrun fixed. General restructure to avoid running setuid except
  during the first moments of initialisation.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url
- added wmconfig entries

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
